{% extends 'base.html' %}
{% load static %}

{% block head %}

    <link rel="stylesheet" href="{% static 'css/stylesheet.css' %}">
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
    <script src="{% static 'js/jquery-3.3.1.slim.min.js' %}"></script>
    <script src="{% static 'js/popper.min.js' %}"></script>
    <script src="{% static 'js/bootstrap.min.js' %}"></script>
    <script src="{% static 'js/schedule.js' %}"></script>
{% endblock head %}

{% block navbar %}
    <header>
        <div class="container">
            <div class="header-right">
                <a href="#"><b>Home</b></a>
                <a href="add-schedule/"><b>Add Schedule</b></a>
            </div>
        </div>
    </header> 
{% endblock navbar %}

{% block content %}

    <div class="container">
        <h1 id="weakly-schedule-h1">Weekly Schedule</h1>

            <div class="row mb-3">
                <div class="col">       
                    <div class="card text-white bg-dark" id="monday">
                        <div class="card-body">
                            <h5 class="card-title">Monday</h5>
                            <h6 class="card-subtitle mb-2 text-muted">Schedule</h6>
                            {% if day1 %}
                            <ul id="incomplete-schedule">
                                {% for schedule in day1 %}
                                    <li class="li-schedule" style="list-style: none;">
                                        <input type="checkbox" class="checkbox" cek=false>
                                        <label class="schedule-name" id="schedule-{{ schedule.id }}">{{ schedule.name }}</label><br>
                                        <label class="time">{{ schedule.start_time }} - {{ schedule.due_time }}</label><br>
                                        <button class="complete-btn" id={{schedule.id}}>Complete</button>
                                    </li>
                                {% endfor %}
                            </ul>
                            {% endif %}
                        
                        </div>
                    </div>
                </div>

                <div class="col">
                    <div class="card text-white bg-dark" id="tuesday">
                        <div class="card-body">
                            <h5 class="card-title">Tuesday</h5>
                            <h6 class="card-subtitle mb-2 text-muted">Schedule</h6>
                            {% if day2 %}
                            <ul id="incomplete-schedule">
                                {% for schedule in day2 %}
                                    <li class="li-schedule" style="list-style: none;">
                                        <input type="checkbox" class="checkbox" cek=false>
                                        <label class="schedule-name" id="schedule-{{ schedule.id }}">{{ schedule.name }}</label><br>
                                        <label class="time" style="width: 150px;">{{ schedule.start_time }} - {{ schedule.due_time }}</label><br>
                                        <button class="complete-btn">Complete</button>
                                    </li>
                                {% endfor %}
                            </ul>
                            {% endif %}
                        
                        </div>
                    </div>
                </div>

                <div class="col">
                    <div class="card text-white bg-dark" id="wednesday">
                        <div class="card-body">
                            <h5 class="card-title">Wednesday</h5>
                            <h6 class="card-subtitle mb-2 text-muted">Schedule</h6>
                            {% if day3 %}
                            <ul id="incomplete-schedule">
                                {% for schedule in day3 %}
                                    <li class="li-schedule" style="list-style: none;">
                                        <input type="checkbox" class="checkbox" cek=false>
                                        <label class="schedule-name" id="schedule-{{ schedule.id }}">{{ schedule.name }}</label><br>
                                        <label class="time" style="width: 150px;">{{ schedule.start_time }} - {{ schedule.due_time }}</label><br>
                                        <button class="complete-btn">Complete</button>
                                    </li>
                                {% endfor %}
                            </ul>
                            {% endif %}
                        
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <div class="card text-white bg-dark" id="thursday">
                        <div class="card-body">
                            <h5 class="card-title">Thursday</h5>
                            <h6 class="card-subtitle mb-2 text-muted">Schedule</h6>
                            {% if day4 %}
                            <ul id="incomplete-schedule">
                                {% for schedule in day4 %}
                                    <li class="li-schedule" style="list-style: none;">
                                        <input type="checkbox" class="checkbox" cek=false>
                                        <label class="schedule-name" id="schedule-{{ schedule.id }}">{{ schedule.name }}</label><br>
                                        <label class="time" style="width: 150px;">{{ schedule.start_time }} - {{ schedule.due_time }}</label><br>
                                        <button class="complete-btn">Complete</button>
                                    </li>
                                {% endfor %}
                            </ul>
                            {% endif %}
                        
                        </div>
                    </div>
                </div>

                <div class="col">
                    <div class="card text-white bg-dark" id="friday">
                        <div class="card-body">
                            <h5 class="card-title">Friday</h5>
                            <h6 class="card-subtitle mb-2 text-muted">Schedule</h6>
                            {% if day5 %}
                            <ul id="incomplete-schedule">
                                {% for schedule in day5 %}
                                    <li class="li-schedule" style="list-style: none;">
                                        <input type="checkbox" class="checkbox" cek=false>
                                        <label class="schedule-name" id="schedule-{{ schedule.id }}">{{ schedule.name }}</label><br>
                                        <label class="time" style="width: 150px;">{{ schedule.start_time }} - {{ schedule.due_time }}</label><br>
                                        <button class="complete-btn">Complete</button>
                                    </li>
                                {% endfor %}
                            </ul>
                            {% endif %}
                        
                        </div>
                    </div>
                </div>

                <div class="col">
                    <div class="card text-white bg-dark" id="saturday">
                        <div class="card-body">
                            <h5 class="card-title">Saturday</h5>
                            <h6 class="card-subtitle mb-2 text-muted">Schedule</h6>
                            {% if day6 %}
                            <ul id="incomplete-schedule">
                                {% for schedule in day6 %}
                                    <li class="li-schedule" style="list-style: none;">
                                        <input type="checkbox" class="checkbox" cek=false>
                                        <label class="schedule-name" id="schedule-{{ schedule.id }}">{{ schedule.name }}</label><br>
                                        <label class="time" style="width: 150px;">{{ schedule.start_time }} - {{ schedule.due_time }}</label><br>
                                        <button class="complete-btn">Complete</button>
                                    </li>
                                {% endfor %}
                            </ul>
                            {% endif %}
                        
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <div class="card last-card mx-auto text-white bg-dark" id="sunday">
                        <div class="card-body sunday">
                            <h5 class="card-title">Sunday</h5>
                            <h6 class="card-subtitle mb-2 text-muted">Schedule</h6>
                            {% if day7 %}
                            <ul id="incomplete-schedule">
                                {% for schedule in day7 %}
                                    <li class="li-schedule" id="no-{{ schedule.id }}" style="list-style: none;">
                                        <input type="checkbox" class="checkbox" cek=false>
                                        <label class="schedule-name" id="schedule-{{ schedule.id }}">{{ schedule.name }}</label><br>
                                        <label class="time" style="width: 150px;">{{ schedule.start_time }} - {{ schedule.due_time }}</label><br>
                                        <button class="complete-btn">Complete</button>
                                    </li>
                                {% endfor %}
                            </ul>
                            {% endif %}
                        
                        </div>
                    </div>
                </div>
            </div>

    </div>
{% endblock content %}